# $Revision: 1.18BL1 $, $Date: 2009/12/10 17:36:21 $
Summary:	The userspace connection tracking table administration program
Summary(pl.UTF-8):	Program przestrzeni użytkownika do zarządzania tablicą śledzenia połączeń
Name:		conntrack-tools
Version:	0.9.13
Release:	0BL1
License:	GPL v2
Group:		Applications/Networking
Source0:	http://www.netfilter.org/projects/conntrack-tools/files/%{name}-%{version}.tar.bz2
# Source0-md5:	a082eb2354d12250a3f81363440b73f3
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.conf
Patch0:		%{name}-limits.patch
URL:		http://people.netfilter.org/pablo/conntrack-tools/
BuildRequires:	autoconf
BuildRequires:	automake >= 1.6
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libnetfilter_conntrack-devel >= 0.0.100
BuildRequires:	libnfnetlink-devel >= 1.0.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.228
Requires(post,preun):	/sbin/chkconfig
Requires:	libnetfilter_conntrack >= 0.0.100
Requires:	libnfnetlink >= 1.0.0
Obsoletes:	conntrack
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The conntrack-tools are a set of tools targeted at system
administrators. They are conntrack, the userspace command line
interface, and conntrackd, the userspace daemon. The tool conntrack
provides a full featured interface that is intended to replace the old
/proc/net/ip_conntrack interface. Using conntrack, you can view and
manage the in-kernel connection tracking state table from userspace.
On the other hand, conntrackd covers the specific aspects of stateful
firewalls to enable highly available scenarios, and can be used as
statistics collector as well.

%description -l pl.UTF-8
conntrack-tools to zbiór narzędzi przeznaczonych dla administratorów
systemów. Są to conntrack (interfejs przestrzeni użytkownika
obsługiwany z linii poleceń) i conntrackd (demon przestrzeni
użytkownika). Narzędzie conntrack udostępnia pełny interfejs mający za
zadanie zastąpić stary interfejs /proc/net/ip_conntrack. Przy użyciu
conntracka można oglądać i zarządzać z przestrzeni użytkownika tablicą
stanów śledzienia połączeń w jądrze. Z drugiej strony conntrackd
pokrywa specyficzne aspekty firewalli stanowych udostępniając
scenariusze wysokiej dostępności; może także służyć do zbierania
statystyk.

%prep
%setup -q
%patch0 -p1
find -name .svn -print0 | xargs -0 rm -rf

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
CFLAGS="%{rpmcflags} -D__KERNEL_STRICT_NAMES=1"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/conntrackd
install -D %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/conntrackd
install -D %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/conntrackd/conntrackd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add conntrackd
%service conntrackd restart

%preun
if [ "$1" = "0" ]; then
	%service -q conntrackd stop
	/sbin/chkconfig --del conntrackd
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS TODO
%attr(755,root,root) %{_sbindir}/conntrack
%attr(755,root,root) %{_sbindir}/conntrackd
%{_mandir}/man8/conntrack.8*
%{_mandir}/man8/conntrackd.8*
%attr(754,root,root) /etc/rc.d/init.d/conntrackd
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conntrackd/conntrackd.conf
%dir %{_sysconfdir}/conntrackd
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/conntrackd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: conntrack-tools.spec,v $
Revision 1.18BL1  2009/12/10 17:36:21  bartoszl@ics.p.lodz.pl
- 0.9.13

Revision 1.18  2009/04/21 14:36:21  areq
- 0.9.12

Revision 1.17  2009/03/18 17:51:16  duddits
- up to 0.9.11
- limits.patch updated

Revision 1.16  2009/01/28 21:55:30  qboosh
- unified

Revision 1.15  2009/01/26 11:27:45  areq
- 0.9.10

Revision 1.14  2008/12/18 19:44:53  areq
- 0.9.9

Revision 1.13  2008/12/16 11:16:36  areq
- clean

Revision 1.12  2008/12/16 11:16:13  areq
- 0.9.8

Revision 1.11  2008/08/21 17:49:36  qboosh
- updated to 0.9.7

Revision 1.10  2008/05/30 23:59:12  zbyniu
- up to 0.9.6

Revision 1.9  2007-08-12 20:56:52  qboosh
- updated to 0.9.5

Revision 1.8  2007/07/10 20:52:11  qboosh
- more BRs
- Obsoletes: conntrack

Revision 1.7  2007/07/02 21:16:13  areq
- 0.9.4

Revision 1.6  2007/06/21 18:02:29  qboosh
- pl

Revision 1.5  2007/06/17 18:47:59  areq
- init script + configuration

Revision 1.4  2007/06/17 17:29:09  areq
- attr(755,root,root) for libs

Revision 1.3  2007/06/17 16:18:22  areq
- now builds (thanks arekm)

Revision 1.2  2007/06/17 15:48:46  areq
- License GPL v2

Revision 1.1  2007/06/17 15:46:59  areq
- raw PLD spec, NFY
